##
##  asciidoc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         asciidoc
Summary:      Text-Based Document Generation
URL:          http://www.methods.co.nz/asciidoc/
Vendor:       Stuart Rackham
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      GPL
Version:      10.2.1
Release:      20240718

#   list of sources
Source0:      https://github.com/asciidoc-py/asciidoc-py/releases/download/%{version}/asciidoc-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, autoconf
PreReq:       OpenPKG, openpkg >= 20160101, bash, python, docbook, libxml, libxslt

%description
    AsciiDoc is a text document format for writing short documents,
    articles, books and UNIX man pages. AsciiDoc files can be translated
    to HTML and DocBook markups using the asciidoc(1) command. AsciiDoc
    is highly configurable: both the AsciiDoc source file syntax and the
    backend output markups (which can be almost any type of SGML/XML
    markup) can be customized and extended by the user.

%track
    prog asciidoc = {
        version   = %{version}
        url       = https://github.com/asciidoc-py/asciidoc-py/releases
        regex     = tree/(__VER__)
    }

%prep
    %setup -q

%build
    autoconf
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc \
        --mandir=%{l_prefix}/man
    %{l_shtool} subst \
        -e 's;#!/usr/bin/env python3;#!%{l_prefix}/bin/python;' \
        asciidoc.py a2x.py
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/asciidoc/*.conf'

%files -f files

%clean

